## whois-5.4.0-1-src.tar.xz

=== Makefile ===
prefix = /usr

CFLAGS ?= -g -O2

PKG_CONFIG ?= pkg-config
PERL ?= perl
INSTALL ?= install

whois_OBJECTS := whois.o utils.o
mkpasswd_OBJECTS := mkpasswd.o utils.o

##############################################################################
# Solaris
#whois_LDADD += -lnsl -lsocket -liconv

# FreeBSD
#whois_LDADD += -liconv
#LIBS += -L/usr/local/lib -lintl
#DEFS += -I/usr/local/include

# OS/2 EMX
#whois_LDADD += -lsocket
#LDFLAGS += -Zexe -Dstrncasecmp=strnicmp

# OS X
#whois_LDADD += -liconv

ifdef CONFIG_FILE
DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
endif

ifdef LOCALEDIR
DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
endif

# libidn support has been autodetected since 5.2.18
ifdef HAVE_LIBIDN
$(error Please fix your build system to stop defining HAVE_LIBIDN!)
endif

ifeq ($(shell $(PKG_CONFIG) --exists 'libidn2 >= 2.0.3' || echo NO),)
whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn2)
DEFS += -DHAVE_LIBIDN2 $(shell $(PKG_CONFIG) --cflags libidn2)
else ifeq ($(shell $(PKG_CONFIG) --exists 'libidn' || echo NO),)
whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn)
DEFS += -DHAVE_LIBIDN $(shell $(PKG_CONFIG) --cflags libidn)
endif

ifdef HAVE_ICONV
whois_OBJECTS += simple_recode.o
DEFS += -DHAVE_ICONV
endif

ifeq ($(shell $(PKG_CONFIG) --exists 'libxcrypt >= 4.1' || echo NO),)
DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT $(shell $(PKG_CONFIG) --cflags libcrypt)
mkpasswd_LDADD += $(shell $(PKG_CONFIG) --libs libcrypt)
else ifdef HAVE_XCRYPT
DEFS += -DHAVE_XCRYPT_H -DHAVE_LINUX_CRYPT_GENSALT
mkpasswd_LDADD += -lxcrypt
else ifdef HAVE_LIBOWCRYPT
# owl and openSUSE have crypt_gensalt(3) in libowcrypt
DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT -D_OW_SOURCE
mkpasswd_LDADD += -lcrypt -lowcrypt
else
mkpasswd_LDADD += -lcrypt
endif

CPPFLAGS += $(DEFS) $(INCLUDES)

##############################################################################
all: Makefile.depend whois mkpasswd pos

##############################################################################
%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

whois: $(whois_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(whois_LDADD) $(LIBS)

mkpasswd: $(mkpasswd_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(mkpasswd_LDADD) $(LIBS)

##############################################################################
version.h: debian/changelog make_version_h.pl
	$(PERL) make_version_h.pl $< > $@

as_del.h: as_del_list make_as_del.pl
	$(PERL) make_as_del.pl < $< > $@

as32_del.h: as32_del_list make_as32_del.pl
	$(PERL) make_as32_del.pl < $< > $@

ip_del.h: ip_del_list make_ip_del.pl
	$(PERL) make_ip_del.pl < $< > $@

ip6_del.h: ip6_del_list make_ip6_del.pl
	$(PERL) make_ip6_del.pl < $< > $@

new_gtlds.h: new_gtlds_list make_new_gtlds.pl
	$(PERL) make_new_gtlds.pl < $< > $@

nic_handles.h: nic_handles_list make_nic_handles.pl
	$(PERL) make_nic_handles.pl < $< > $@

tld_serv.h: tld_serv_list make_tld_serv.pl
	$(PERL) make_tld_serv.pl < $< > $@

servers_charset.h: servers_charset_list make_servers_charset.pl
	$(PERL) make_servers_charset.pl < $< > $@

##############################################################################
afl:
	-rm -f Makefile.depend
	DEFS=-DAFL_MODE=1 AFL_HARDEN=1 $(MAKE) whois CC=afl-gcc HAVE_ICONV=1

afl-run:
	nice afl-fuzz -i ../afl_in -o ../afl_out -- ./whois

##############################################################################
install: install-whois install-mkpasswd install-pos

install-whois: whois
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man5/
	$(INSTALL) -m 0755 whois $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0644 whois.conf.5 $(BASEDIR)$(prefix)/share/man/man5/

install-mkpasswd: mkpasswd
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/

install-pos:
	cd po && $(MAKE) install

distclean: clean
	rm -f po/whois.pot

clean:
	rm -f Makefile.depend as_del.h as32_del.h ip_del.h ip6_del.h \
		new_gtlds.h tld_serv.h servers_charset.h *.o whois mkpasswd
	rm -f po/*.mo

pos:
	cd po && $(MAKE)

depend: Makefile.depend
Makefile.depend:
	$(CC) $(CPPFLAGS) $(CFLAGS) -MM -MG *.c > $@

-include Makefile.depend

.DELETE_ON_ERROR:

=== debian/changelog ===
whois (5.4.0) unstable; urgency=medium

  * Added support for the new libxcrypt 4.x.
    This allows mkpasswd to support many modern password hash methods.
  * Renamed the hash types (i.e. the arguments to -H) to use the naming 
    convention established by John the Ripper.
  * Made mkpasswd use entropy gathered by crypt_gensalt(3), when available.
  * Fixed many portability bugs in mkpasswd.
  * Added the .gp TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Oct 2018 18:32:49 +0200

whois (5.3.2) unstable; urgency=medium

  * Added the .ge TLD server.
  * Updated the charset for whois.nic.cl. (Closes: #900047)
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jul 2018 12:38:42 +0200

whois (5.3.1) unstable; urgency=medium

  * mkpasswd: support passwords of arbitrary length. (Closes: #899254)
  * Added the .ls TLD server. (Closes: #896452)
  * Added support for -bzh and -uanic NIC handles.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Tue, 22 May 2018 15:32:28 +0200

whois (5.3.0) unstable; urgency=medium

  * Implemented querying for ip6.arpa domains.
  * Updated the .pr TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 21 Jan 2018 01:23:45 +0100

whois (5.2.20) unstable; urgency=medium

  * Added the .mr TLD server.
  * Removed the .bs TLD server.
  * Updated the .ai, .gh, .gr, .kw, .ls, .ph, .sb, .com.uy and .vn TLD
    servers.

 -- Marco d'Itri <md@linux.it>  Wed, 27 Dec 2017 03:15:27 +0100

whois (5.2.19) unstable; urgency=medium

  * Switched do libidn2.
  * Adopted getentropy(2) for mkpasswd on recent Linux.
  * Updated the .id and .museum TLD servers.
  * Removed the .dj TLD server.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Dec 2017 17:16:58 +0100

whois (5.2.18) unstable; urgency=medium

  * Fixed an unitialised variable which used to break querying the
    Verisign registry servers with parameters.
  * Do not request domains only when querying the Verisign registry
    servers for a hostname.
  * Fixed the program return code for queries like
    "nameserver name.example.com".

 -- Marco d'Itri <md@linux.it>  Tue, 22 Aug 2017 16:45:02 +0200

whois (5.2.17) unstable; urgency=high

  * Fixed whois referrals for .com, .net, .jobs, .bz, .cc and .tv, broken
    by an ICANN-mandated output change:
    https://www.icann.org/resources/pages/rdds-labeling-policy-2017-02-01-en
  * Added the .xn--2scrj9c (ಭಾರತ, India), .xn--3hcrj9c (ଭାରତ, India),
    .xn--45br5cyl (ভাৰত, India), .xn--h2breg3eve (भारतम्, India),
    .xn--h2brj9c8c (भारोत, India), .xn--mgbbh1a (ﺏﺍﺮﺗ, India),
    .xn--mgbgu82a (ڀﺍﺮﺗ, India) and .xn--rvc1e0am3e (ഭാരതം, India)
    TLD servers.
  * Updated the list of new gTLDs.
  * whois.1: fixed a typo. (Closes: #866742)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jul 2017 17:08:47 +0200

whois (5.2.16) unstable; urgency=medium

  * Fixed parsing of 6to4 addresses broken in 5.2.15.
  * Updated the .do TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Mar 2017 01:40:38 +0100

whois (5.2.15) unstable; urgency=medium

  * Updated the .gf and .mq TLD servers.
  * Updated the list of new gTLDs.
  * Updated the charset for whois.nic.kz.
  * Fixed multiple portability issues on non-Linux platforms.
  * Fixed a lot of minor compiler warnings with no practical effects.
  * Added support for libidn2, not enabled yet.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Feb 2017 00:37:41 +0100

whois (5.2.14) unstable; urgency=medium

  * Updated the .ar, .bm and .fm TLD servers.
  * Updated the Afilias hiding string to fix hiding for the new .bm server.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 23:12:19 +0100

whois (5.2.13) unstable; urgency=medium

  * Use "domain" instead of "=" for default verisign-grs queries,
    to ignore the name server names spam.
  * Fixed make_ip_del_recovered.pl, which generated non-functioning data.
  * Added the .xn--90ae (бг, Bulgaria) TLD server.
  * Updated the .bd, .jobs and .mobi TLD servers.
  * Added new ASN allocations.
  * Added new recovered IPv4 allocations.
  * Updated the crsnic.net hiding string to fix hiding for .bi.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Oct 2016 17:08:07 +0100

whois (5.2.12) unstable; urgency=medium

  * Implemented support for fuzzing with the awesome american fuzzy lop.
  * Added the .xn--e1a4c (ею, European Union) and .xn--mix891f (澳門,
    Macao) TLD servers.
  * Updated the .jobs, .kn and .pro TLD servers.
  * Updated the .gi, .lc, .sc and .vc TLD servers, because the precedent
    data caused the program to return an error status.
  * Updated the list of new gTLDs.
  * Fixed the code which queries whois.iana.org for TLDs to recognize IDN
    TLDs too.

 -- Marco d'Itri <md@linux.it>  Tue, 29 Mar 2016 05:33:10 +0200

whois (5.2.11) unstable; urgency=medium

  * Fixed the --select-types and --sources long options.
  * Updated the list of new gTLDs.
  * Removed the .an TLD.
  * Removed the .xn--l1acc (.МОН, Mongolia) TLD server.
  * Added the .xn--mgbtx2b (عراق, Iraq) and .xn--qxam (.ΕΛ, Greece) TLD
    servers.

 -- Marco d'Itri <md@linux.it>  Tue, 08 Dec 2015 07:43:48 +0100

whois (5.2.10) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Updated the .ki and .vg TLD servers.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Jul 2015 03:26:56 +0200

whois (5.2.9) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Updated the .bn and .cr TLD servers.
  * Updated IDSTRING to 5.2.

 -- Marco d'Itri <md@linux.it>  Mon, 08 Jun 2015 02:18:47 +0200

whois (5.2.8) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Added new ASN allocations.
  * Added the .xn--y9a3aq (.հայ, Armenia) TLD server.

 -- Marco d'Itri <md@linux.it>  Mon, 18 May 2015 00:37:32 +0200

whois (5.2.7) unstable; urgency=medium

  * Removed a bogus disclaimer detection string.
  * Updated the list of new gTLDs



=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 9), gettext, libidn2-dev (>= 2.0.3)
Vcs-Git: git://github.com/rfc1036/whois.git
Vcs-Browser: https://github.com/rfc1036/whois

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: intelligent WHOIS client
 This package provides a commandline client for the WHOIS (RFC 3912)
 protocol, which queries online servers for information such as contact
 details for domains and IP address assignments.
 It can intelligently select the appropriate WHOIS server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to the
 password encryption function crypt(3).
